Subject: Ticket Assigned - Speed up order
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Mon, 03 May 2021 08:44:06 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Speed up order Hi,
I have ordered 12 items from baby shop & 26th April was the expected
date of delivery. I have already followed up thrice with customer service.
Plz either speed up the order or cancel it. Let me know if you are
cancelling the order so that I can place a fresh order.

Order no. Is 9654489380.

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2475363